## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate assert_cmd

Name:           rust-assert_cmd
Version:        2.0.13
Release:        %autorelease
Summary:        Test CLI Applications

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/assert_cmd
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * prevent binary that is only used by integration tests from being shipped
Patch:          assert_cmd-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Test CLI Applications.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+color-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+color-devel %{_description}

This package contains library source intended for building other packages which
use the "color" feature of the "%{crate}" crate.

%files       -n %{name}+color-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+color-auto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+color-auto-devel %{_description}

This package contains library source intended for building other packages which
use the "color-auto" feature of the "%{crate}" crate.

%files       -n %{name}+color-auto-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jan 13 2024 Fabio Valentini <decathorpe@gmail.com> - 2.0.13-1
- Update to version 2.0.13; Fixes RHBZ#2258004

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 14 2023 Fabio Valentini <decathorpe@gmail.com> - 2.0.12-1
- Update to version 2.0.12; Fixes RHBZ#2222996

* Thu May 11 2023 Fabio Valentini <decathorpe@gmail.com> - 2.0.11-1
- Update to version 2.0.11; Fixes RHBZ#2186536

* Sat Apr 08 2023 Fabio Valentini <decathorpe@gmail.com> - 2.0.10-1
- Update to version 2.0.10; Fixes RHBZ#2178736

* Tue Feb 21 2023 Fabio Valentini <decathorpe@gmail.com> - 2.0.8-1
- Update to version 2.0.8; Fixes RHBZ#2136580

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> - 2.0.4-1
- Update to version 2.0.4; Fixes RHBZ#2039545

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 23 2021 Fabio Valentini <decathorpe@gmail.com> - 2.0.2-3
- Drop optional dependencies that are not packaged for Fedora

* Sun Nov 14 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.2-2
- Disable a failing test

* Sun Nov 14 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.2-1
- Update to 2.0.2 Close: rhbz#1978448

* Thu Aug 26 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.8-1
- Update to version 1.0.8

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 05 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.5-1
- Update to version 1.0.5.
- Fixes RHBZ#1967372

* Thu May 13 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.4-1
- Update to version 1.0.4.
- Fixes RHBZ#1960097

* Mon Feb 08 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.3-1
- Update to version 1.0.3.
- Fixes RHBZ#1923833

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.2-1
- Update to version 1.0.2.
- Fixes RHBZ#1900945

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Mar 31 10:15:39 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Mon Mar 30 10:44:16 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Initial package

